Debian Bug report logs - #387551
manpages-dev: mq_receive man page shows wrong return type 'mqd_t' (correct is ssize_t)

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Britton Leo Kerin <bkerin_rb@letterboxes.org>

Date: Fri, 15 Sep 2006 00:03:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/2.39-1

Fixed in version manpages/2.41-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#387551; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Britton Leo Kerin <bkerin_rb@letterboxes.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Britton Leo Kerin <bkerin_rb@letterboxes.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: mq_receive man page shows wrong return type 'mqd_t' (correct is ssize_t)
Date: Thu, 14 Sep 2006 15:38:25 -0800
Package: manpages-dev
Version: 2.39-1
Severity: normal


As the subject says.  Looking in /usr/include/mqueue.h the actual
return type is ssize_t, as expected.

Britton

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages manpages-dev depends on:
ii  manpages                      2.39-1     Manual pages about using a GNU/Lin

manpages-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#387551; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Britton Leo Kerin <bkerin_rb@letterboxes.org>, 387551@bugs.debian.org, submit@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#387551: manpages-dev: mq_receive man page shows wrong return type 'mqd_t' (correct is ssize_t)
Date: Fri, 15 Sep 2006 13:31:29 +0200
tags 387551 fixed-upstream
thanks

Betreff: Bug#387551: manpages-dev: mq_receive man page shows wrong return type \'mqd_t\' (correct is ssize_t)

> Package: manpages-dev
> Version: 2.39-1
> Severity: normal
> 
> 
> As the subject says.  Looking in /usr/include/mqueue.h the actual
> return type is ssize_t, as expected.

Britton,

thanks.  Fixed for upstream man-pages-2.41.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#387551; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Britton Leo Kerin <bkerin_rb@letterboxes.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 387551-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 387551-close@bugs.debian.org
Subject: Bug#387551: fixed in manpages 2.41-1
Date: Mon, 12 Mar 2007 19:17:03 +0000
Source: manpages
Source-Version: 2.41-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.41-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.41-1_all.deb
manpages_2.41-1.diff.gz
  to pool/main/m/manpages/manpages_2.41-1.diff.gz
manpages_2.41-1.dsc
  to pool/main/m/manpages/manpages_2.41-1.dsc
manpages_2.41-1_all.deb
  to pool/main/m/manpages/manpages_2.41-1_all.deb
manpages_2.41.orig.tar.gz
  to pool/main/m/manpages/manpages_2.41.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 387551@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Mar 2007 19:50:07 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.41-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 386087 386214 387551 391402
Changes: 
 manpages (2.41-1) unstable; urgency=low
 .
   * New upstream version
     . Fix broken text in clog2(3) and clog10(3) (closes: Bug#386214)
     . Fix return type in SYNOPSIS in mq_receive(3) (closes: Bug#387551)
     . Fix wording referring in qsort(2) (closes: Bug#391402)
     . Added some TZ examples to tzset(3) (closes: Bug#386087)
   * New priority optional (instead of standard) after ftpmaster haven't
     told the maintainer but only let the archive suite complain about
     override disparity.  Oh, how I just love this cooperation between
     Debian developers.
Files: 
 43fd1bda2e5acf7b810b8242727f25b4 584 doc - manpages_2.41-1.dsc
 254e0064c533c9147947b8b8a39a2a4f 1203032 doc - manpages_2.41.orig.tar.gz
 fd81e37380921c399c9ec3e8ede289dd 53196 doc - manpages_2.41-1.diff.gz
 226ccf5514f995642597a61054755c50 487610 doc important manpages_2.41-1_all.deb
 cfcf144ab16f5098003ef5af6d25c31b 1229962 doc optional manpages-dev_2.41-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF9aKwW5ql+IAeqTIRAnhOAJ9jUk0y7qv5xEaHjkOsv68Hj89CawCgsdJq
PG/cpY3n2wzYODsoih7AfHw=
=zTui
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 20:10:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:08:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.